pluginManagement {
    repositories {
        google {
            content {
                includeGroupByRegex("com\\.android.*")
                includeGroupByRegex("com\\.google.*")
                includeGroupByRegex("androidx.*")
            }
        }
        mavenCentral()
        gradlePluginPortal()
    }
}
dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        google()
        mavenCentral()
    }
}


dependencies
implementation(libs.appcompat)implementation(libs.material)
implementation(libs.activity)
implementation(libs.constraintlayout)
implementation(fileTree(mapOf(
    dir" to "D:\\codellAndroidcodellNotesmasterllhttpcomponents-client-4.5.14-binlllib"
    "include" to listOf("*.aar","*.jar"),
    "exclude" to listof("")
)))
testImplementation(libs.junit)
androidTestImplementation(libs.ext.junit)
androidTestImplementation(libs.espresso.core)

rootProject.name = "Notemasters"
include(":app")
 